import java.io.*;
import java.util.*;
import javax.swing.*;
import java.awt.*;

public class Ventas 
{
   
	private Cliente clienteActual;
	private int subtotal;
	private Producto prod;
	private Vector<String> productos, precios;
	private Vector<Producto> listaP = new Vector<Producto>(); // Para tener todos los productos disponibles
		
	public Ventas()
	{ 
	   prod = new Producto();
	   productos = prod.getAllTipos();
		precios = prod.getAllPrecios();
   }
   
	public Ventas(String rut)
	{
	   this();
		clienteActual = new Cliente(rut);
	}
	
   public void setCliente(Cliente cl)
	{
	   clienteActual = cl;
	}
	
	public Cliente getCliente()
	{
	   return clienteActual;
	}
	
	public void agregaProducto(Producto p)
	{
	   clienteActual.addProducto(p);
	}
	
	private void getListaProductos()
	{
	   listaP = clienteActual.getProducto();
	}
	
	public String[] getColumnasResumen()
	{
    	String[] columnNames = { "Producto",
                                "Cantidad",
                                "Precio"};
		
		return columnNames;
		
	}
	
	public Object[][] getResumen()
	{
    	getListaProductos();
		subtotal = 0;
		
		Object[][] resumen = new Object[listaP.size()][3];
		for(int i=0; i<listaP.size(); i++)
		{
		   resumen[i][0] = listaP.get(i).getTipo();
			resumen[i][1] = listaP.get(i).getCantidad();
			resumen[i][2] = listaP.get(i).getCantidad()*listaP.get(i).getPrecio();
			//subtotal += listaP.get(i).getCantidad()*listaP.get(i).getPrecio();
		}
		
		return resumen;
		
	}
	
	public int getSubTotal()
	{
	   return clienteActual.getPrecioTotal();//subtotal;
   }
	
	public int getDescuentoTotal()
	{
	   return clienteActual.getDescuentoTotal();
   }
	
	public int getTotal()
	{
	   return clienteActual.getPrecioFinal();
   }
	
	public String getColumnasTipos()
	{
    	String columnNames = "RUT Cliente";
		
		return columnNames;
		
	}
   
	public String[] getClientes(int t)
	{
    	Vector<String> tipos = clienteActual.getTodosClientes(t);
		
		String[] resumen = new String[tipos.size()];
		System.out.println("tipos = "+tipos);
		
		for(int i=0; i<tipos.size(); i++)
		{
		   System.out.println("tipos.get("+i+").substring(1) = "+tipos.get(i).substring(1));  
			resumen[i] = ""+tipos.get(i).substring(1);
		}
		
		return resumen;
		
	}
	
}